libglom-1.30: Glom::FoundSet Class Reference

libglom-1.30 1.30.4

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Glom::FoundSet Class Reference

A grouping of information about a view of a table, including what records are viewed (the where clause), how the are sorted (the sort clause). More...

Collaboration diagram for Glom::FoundSet:
[legend]

## Public Types
typedef std::pair< std::shared_ptr< const LayoutItem_Field >, bool > | type_pair_sort_field
| field, ascending More...
typedef std::vector< type_pair_sort_field > | type_sort_clause

## Public Member Functions
| FoundSet () noexcept
| FoundSet (const FoundSet& src) noexcept
| FoundSet (FoundSet&& src) noexcept
FoundSet& | operator= (const FoundSet& src) noexcept
FoundSet& | operator= (FoundSet&& src) noexcept

## Public Attributes
Glib::ustring | m_table_name
std::shared_ptr< const Relationship > | m_extra_join
Gnome::Gda::SqlExpr | m_where_clause
type_sort_clause | m_sort_clause

## Detailed Description

A grouping of information about a view of a table, including what records are viewed (the where clause), how the are sorted (the sort clause).

## Member Typedef Documentation

typedef std::pair< std::shared_ptr<const LayoutItem_Field>, bool> Glom::FoundSet::type_pair_sort_field

field, ascending

typedef std::vector<type_pair_sort_field> Glom::FoundSet::type_sort_clause

## Constructor & Destructor Documentation

Glom::FoundSet::FoundSet | ( |  | ) |
| noexcept

Glom::FoundSet::FoundSet | ( | const FoundSet& | src | ) |
| noexcept

Glom::FoundSet::FoundSet | ( | FoundSet&& | src | ) |
| noexcept

## Member Function Documentation

FoundSet& Glom::FoundSet::operator= | ( | const FoundSet& | src | ) |
| noexcept

FoundSet& Glom::FoundSet::operator= | ( | FoundSet&& | src | ) |
| noexcept

## Member Data Documentation

std::shared_ptr<const Relationship> Glom::FoundSet::m_extra_join

type_sort_clause Glom::FoundSet::m_sort_clause

Glib::ustring Glom::FoundSet::m_table_name

Gnome::Gda::SqlExpr Glom::FoundSet::m_where_clause

The documentation for this class was generated from the following file:

- libglom/data_structure/foundset.h